# Message Compression

To reduce transfer size, the content of some messages are sent in a compressed format. This compressed data is available in the `compressedData` field in the message. The format of this field is a base64 encoded zlib compressed JSON string.

Python example for decompressing import base64 import zlib

```
data = "eJyl0b1uwyAQAOBXQcy1hLHjn65RorZppQ6VKnU74GKj2hABHqLI716ztK6aenA24Lj7TncXiibocH5U9J5QKZgSUPOEbzKRpCmKBJRME8ZzDjLljDFO7wg9ofPW+CnlQhWUWSWLfDEnfpRwCqDNdD5C53EqI7SIalbEmgZ6jLcXbJUme90M6CzEiA/gAropGNyA4/QSzZqhXG/mbG4+I5AP3ffoejD/k5WAYj2ZbubkrtPgyd6hke1fMc7Yeh20jYXoln63gGJ5O8uTLuctbHU3NWHIwV5r4WfOHG8Q67n4BGeFhjwghAWxOpZwg1jNxQN03dCTV3Cf6BdIwGo9+Wuxby1a8q6bRptr4Dh+AT9i+9U="

compressed_data = base64.b64decode(data.encode())
output = zlib.decompress(compressed_data).decode()
print(output)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/sports-apis/badminton/datacore-streaming-api/introduction/message-compression.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
